/*
 * file CreateActivity.java
 *
 * Licensed Materials - Property of IBM
 * Restricted Materials of IBM - you are allowed to copy, modify and 
 * redistribute this file as part of any program that interfaces with 
 * IBM Rational CM API.
 *
 * com.ibm.rational.stp.client.samples.CreateActivity
 *
 *  Copyright IBM Corporation 2005 2008.  All Rights Reserved.
 * Note to U.S. Government Users Restricted Rights:  Use, duplication or 
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */
package com.ibm.rational.stp.client.samples;

import com.ibm.rational.wvcm.stp.StpProvider;
import com.ibm.rational.wvcm.stp.cc.CcActivity;
import com.ibm.rational.wvcm.stp.cc.CcProvider;

/**
 * A simple application to create an activity from command-line arguments
 */
public class CreateActivity {
    public static void main(String[] args) throws Exception {
        String name = args[0];
        String headline = args[1];
        String stream = args[2];
        CcProvider provider = Utilities.getProvider().ccProvider();
        Object msg = provider.getInstantiationErrors().get(StpProvider.Domain.CLEAR_CASE);

        if (msg != null)
            System.err.println("ClearCase unavailable: " +  msg);
        
        CcActivity activity = provider.ccActivity(provider.stpLocation(name));
        
        activity.setHeadline(headline);
        activity.setStream(provider.ccStream(provider.stpLocation(stream)));
        activity.doCreateResource(null);
    }
}
