/*
 * file DefaultPropertySource.java
 * 
 * Licensed Materials - Property of IBM
 * Restricted Materials of IBM - you are allowed to copy, modify and 
 * redistribute this file as part of any program that interfaces with 
 * IBM Rational CM API.
 *
 * com.ibm.rational.teamapi.scout.DefaultPropertySource
 *
 *  Copyright IBM Corporation 2004, 2008.  All Rights Reserved.
 * Note to U.S. Government Users Restricted Rights:  Use, duplication or 
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

package com.ibm.rational.teamapi.scout;

import org.eclipse.ui.views.properties.IPropertySource;

/**
 * An abstract class providing a null implementation for the methods of
 * IPropertySource used for editing a property.
 */
public abstract class DefaultPropertySource implements IPropertySource {

    /**
     * Returns null, indicating editing is not possible
     */
    public Object getEditableValue()
    {
        return null;
    }

    /**
     * Returns false, indicating value is not edited
     */
    public boolean isPropertySet(
        Object id)
    {
        return false;
    }

    /**
     * Does nothing
     */
    public void resetPropertyValue(Object id)
    {
    }

    /**
     * Does nothing
     */
    public void setPropertyValue(
        Object id,
        Object value)
    {
    }
}
